---
 # The major driver version should match the "Latest Long Lived Branch"
 # for Linux x86_64 shown on http://www.nvidia.com/object/unix.html

- block:

  - name: Install Nvidia driver and dependencies
    apt:
      name:
        - "dkms"
        - "lib32gcc1"
        - "libc6-dev"
        - "libvdpau1"
        - "bbswitch-dkms"
        - "screen-resolution-extra"
        - "nvidia-driver-440"
        - "nvidia-prime"
      force: yes
      install_recommends: no

  become: yes
